Subject: Best Shiitake strain for Zone 5 and best source?

From: [email-masked]
Date: Mon, 22 Apr 1996 00:52:27 GMT

Tomorrow I'm going to cut a hundred or two oak logs for inoculation w/
Shiitake spawn.

The woodlot is in Massachusetts but my home is in New Hampshire.  The
woodlot is a solid Zone 5 and my house is a solid Zone 4 (-30f)  The
trees have not reached bud break yet so I've heard that there's still
time to cut them.  Could anyone offer me suggestions as to which
strain and which source is best for (I'm intending to use wood plugs?)
for this area of the country.

Also which is the best single book for growing Shiitake, preferably on
logs but possibly on sawdust later.

Any other tips would be appreciated.

In advance,

Thank you,
Stephen